Skip to main content
PATCH
Update Payment Plan

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Encoding
string

We can compress a response with gzip.

Example:

"gzip deflate"

API-Version
string

API API Version. See Versioning page for more details.

Example:

"2024-07-01"

Path Parameters

id
integer
required

An userId.

Example:

1

payment_plan_id
integer
required

An payment plan ID.

Example:

1

Body

application/json
strategy
enum<string>
required

The payment plan repayment strategy.

Available options:
snowball,
avalanche
Example:

"avalanche"

accounts
integer[]
required

Array of account IDs

Example:
extra_amount
integer
required

Extra payment amount in cents

Example:

5000

total_monthly_contribution
integer
required

Total monthly payment by plan in cents

Example:

20000

Response

Returns updated the payment plan

id
integer
required

Payment Plan ID

Example:

1

total_monthly_contribution
integer
required

Total monthly payment by plan in cents

Example:

20000

debt_free_date
string
required

Date of the last payment

Example:

"2045-01-23"

strategy
enum<string>
required

The payment plan repayment strategy

Available options:
snowball,
avalanche
Example:

"avalanche"

extra_amount
integer
required

Extra payment amount in cents

Example:

5000

upcoming_payments
object[]
required

Upcoming payments for this and next month

accounts
integer[]
required

Array of account IDs

Example: